Repository 32bit  Forum
Repository 64bit  Wiki

[RISOLTO] HPlip e hp-setup

Usate questo forum per richieste di aiuto e consigli sull'hardware montato nelle vostre macchine con GNU/Linux Slackware.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata e la versione del Kernel. Questi dati aiutano le persone che possono rispondere.
2) Citare il tipo di hardware coinvolto in modo dettagliato.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT. Non usare termini gergali come procio, mobo e simili per identificare i componenti hardware.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

[RISOLTO] HPlip e hp-setup

Messaggioda roberto67 » sab mar 12, 2011 16:36

Cari amici, malgrado molte ore di ricerche non riesco a venirne a capo. Spero in vostro suggerimento ;)

Avvio hp-setup come root, la mia HP officejet 4500 viene vista, ma:
Codice: Seleziona tutto
Printer queue setup failed.
Please add user to "sys" group(s)

Eppure:
Codice: Seleziona tutto
$ groups
users sys lp floppy audio video cdrom plugdev power netdev scanner


Ho dovuto aggiornare HPlip alla 3.11.1 e installato da sorgente come da indicazioni su http://hplipopensource.com/hplip-web/in ... kware.html

Cups e xsane sono ok.

Questo l'output di "hp-check -t":

Codice: Seleziona tutto
$ hp-check -t

HP Linux Imaging and Printing System (ver. 3.11.1)
Dependency/Version Check Utility ver. 14.3

Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if   
the proper dependencies are installed to successfully compile HPLIP.                                                                       
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP   
supplied tarball has the proper dependencies installed to successfully run.                                                                 
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time
dependencies).                                                                                                                             

Saving output in log file: hp-check.log

Initializing. Please wait...
 
---------------
| SYSTEM INFO |
---------------

Basic system information:
Linux slackpc 2.6.33.4 #3 SMP Wed May 12 23:13:09 CDT 2010 x86_64 AMD Athlon(tm) 64 Processor 3000+ AuthenticAMD GNU/Linux

Distribution:
unknown 0.0

Checking Python version...
OK, version 2.6.6 installed

Checking PyQt 4.x version...
OK, version 4.7.3 installed.

Checking for CUPS...
Status: scheduler is running
Version: 1.4.4
error_log is set to level: warn

Checking for dbus/python-dbus...
dbus daemon is running.
python-dbus version: 0.83.1


------------------------------------
| COMPILE AND RUNTIME DEPENDENCIES |
------------------------------------

note: To check for compile-time only dependencies, re-run hp-check with the -c parameter (ie, hp-check -c).
note: To check for run-time only dependencies, re-run hp-check with the -r parameter (ie, hp-check -r).

Checking for dependency: CUPS - Common Unix Printing System...
OK, found.

Checking for dependency: CUPS devel- Common Unix Printing System development files...
OK, found.

Checking for dependency: CUPS image - CUPS image development files...
OK, found.

Checking for dependency: DBus - Message bus system...
OK, found.

Checking for dependency: gcc - GNU Project C and C++ Compiler...
OK, found.

Checking for dependency: GhostScript - PostScript and PDF language interpreter and previewer...
OK, found.

Checking for dependency: libcrypto - OpenSSL cryptographic library...
OK, found.

Checking for dependency: libjpeg - JPEG library...
OK, found.

Checking for dependency: libnetsnmp-devel - SNMP networking library development files...
OK, found.

Checking for dependency: libpthread - POSIX threads library...
OK, found.

Checking for dependency: libtool - Library building support services...
OK, found.

Checking for dependency: libusb - USB library...
OK, found.

Checking for dependency: make - GNU make utility to maintain groups of programs...
OK, found.

Checking for dependency: PIL - Python Imaging Library (required for commandline scanning with hp-scan)...
OK, found.

Checking for dependency: PolicyKit - Administrative policy framework...
OK, found.

Checking for dependency: PyQt 4 DBus - DBus Support for PyQt4...
OK, found.

Checking for dependency: Python DBus - Python bindings for DBus...
OK, found.

Checking for dependency: Python devel - Python development files...
OK, found.

Checking for dependency: Python libnotify - Python bindings for the libnotify Desktop notifications...
OK, found.

Checking for dependency: Python XML libraries...
OK, found.

Checking for dependency: Python 2.3 or greater - Required for fax functionality...
OK, found.

Checking for dependency: Python 2.2 or greater - Python programming language...
OK, found.

Checking for dependency: Reportlab - PDF library for Python...
OK, found.

Checking for dependency: SANE - Scanning library...
OK, found.

Checking for dependency: SANE - Scanning library development files...
OK, found.

Checking for dependency: scanimage - Shell scanning program...
OK, found.

Checking for dependency: xsane - Graphical scanner frontend for SANE...
OK, found.


----------------------
| HPLIP INSTALLATION |
----------------------


Currently installed HPLIP version...
HPLIP 3.11.1 currently installed in '/usr/share/hplip'.

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf.  Generated from hplip.conf.in by configure.

[hplip]
version=3.11.1

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.11.1
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=no
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=no
cups-ppd-install=yes
internal-tag=3.11.1.19
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=no
hpijs-only-build=no
lite-build=no
udev-acl-rules=no
hpcups-only-build=no
hpijs-only-build=no


Current contents of '/var/lib/hp/hplip.state' file:
# hplip.state - HPLIP runtime persistent variables.

[plugin]
installed=0
eula=0



Current contents of '~/.hplip/hplip.conf' file:
[installation]
version = 3.11.1.19
date_time = 03/12/2011 16:29:26



--------------------------
| DISCOVERED USB DEVICES |
--------------------------

  Device URI                                            Model                       
  ----------------------------------------------------  ----------------------------
  hp:/usb/Officejet_4500_G510n-z?serial=CN0C9H71JM05HR  HP Officejet 4500 G510n-z   

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

 
HP_Officejet_4500_G510n-z
-------------------------
Type: Unknown
Device URI: usb://HP/Officejet%204500%20G510n-z?serial=CN0C9H71JM05HR&interface=1
PPD: /etc/cups/ppd/HP_Officejet_4500_G510n-z.ppd
PPD Description: HP Officejet 4500 g510n-z, hpcups 3.11.1.19
Printer status: printer HP_Officejet_4500_G510n-z is idle.  enabled since Sat 12 Mar 2011 04:28:39 PM CET
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend to function in HPLIP.


----------------------
| SANE CONFIGURATION |
----------------------

'hpaio' in '/etc/sane.d/dll.conf'...
OK, found. SANE backend 'hpaio' is properly set up.

Checking output of 'scanimage -L'...
device `hpaio:/usb/Officejet_4500_G510n-z?serial=CN0C9H71JM05HR' is a Hewlett-Packard Officejet_4500_G510n-z all-in-one


---------------------
| PYTHON EXTENSIONS |
---------------------

Checking 'cupsext' CUPS extension...
OK, found.

Checking 'pcardext' Photocard extension...
OK, found.

Checking 'hpmudext' I/O extension...
OK, found.

Checking 'scanext' SANE scanning extension...
OK, found.


 
-----------------
| USB I/O SETUP |
-----------------

Checking for permissions of USB attached printers...

HP Device 0x2e12 at 001:006:
    Device URI: hp:/usb/Officejet_4500_G510n-z?serial=CN0C9H71JM05HR
    Device node: /dev/bus/usb/001/006
    Mode: 0660
getfacl: Removing leading '/' from absolute path names
# file: dev/bus/usb/001/006
# owner: root
# group: lp
user::rw-
group::rw-
other::---



---------------
| USER GROUPS |
---------------

users sys lp floppy audio video cdrom plugdev power netdev scanner


-----------
| SUMMARY |
-----------

error: 1 error or warning.

Please refer to the installation instructions at:
http://hplip.sourceforge.net/install/index.html


Done.


L'unico warning sarebbe questo:

Codice: Seleziona tutto
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend to function in HPLIP.


Questo perchè ho installato la stampante a mano su cups (?)

Grazie in anticipo per ogni aiuto. ;)
Roberto
Ultima modifica di roberto67 il mar mar 15, 2011 14:47, modificato 1 volta in totale.
roberto67
Packager
Packager
 
Messaggi: 291
Iscritto il: lun set 14, 2009 17:55
Slackware: 14.1 multilib
Desktop: kde

Re: HPlip e hp-setup

Messaggioda alphamanitine » lun mar 14, 2011 22:52

Probabilmente l'errore è aggiornare HPLIP...Cioè hai rimosso il pacchetto HPLIP precedente? Cioè quello installato di defualt con Slackware 13.1? Oppure hai compilato il nuovo HPLIP 3.11.1 come da sito di HP?

Quale modello possiedi, questo? http://www.openprinting.org/printer/HP/HP-Officejet_4500_G510g-m
Avatar utente
alphamanitine
Linux 2.0
Linux 2.0
 
Messaggi: 164
Iscritto il: mar feb 15, 2005 0:00
Località: Prato
Slackware: 14

Re: HPlip e hp-setup

Messaggioda roberto67 » lun mar 14, 2011 23:21

alphamanitine ha scritto:Probabilmente l'errore è aggiornare HPLIP...

la versione 3.10.2 presente nella 13.1 non è compatibile con la mia stampante (vedi sotto) e infatti qui mi veniva confermato http://hplipopensource.com/hplip-web/mo ... 10n-z.html

alphamanitine ha scritto:Cioè hai rimosso il pacchetto HPLIP precedente? Cioè quello installato di defualt con Slackware 13.1? Oppure hai compilato il nuovo HPLIP 3.11.1 come da sito di HP?

la seconda che hai detto.
Ehi! Ma sai cosa sto vedendo? Pat ha messo la 3.11.1 nella current =D> è roba dell'altro ieri perchè non l'avevo visto quando ho installato la stampante...

...ooops disinstallo l'installazione da sorgente e monto il pacchetto fresco ma non va :cry:
hp-check mi dice che non trova deii moduli python (hpmudext). Probabilmente devo aggiornare anceh il python, o addirittura fare un upgrade alla currrent. Domani ci provo.

alphamanitine ha scritto:Quale modello possiedi, questo? http://www.openprinting.org/printer/HP/HP-Officejet_4500_G510g-m

Questo: http://h10010.www1.hp.com/wwpc/it/it/ho ... 86401.html

Grazie per la risposta, :) domani posto le nuove
roberto67
Packager
Packager
 
Messaggi: 291
Iscritto il: lun set 14, 2009 17:55
Slackware: 14.1 multilib
Desktop: kde

Re: HPlip e hp-setup

Messaggioda 414N » lun mar 14, 2011 23:50

roberto67 ha scritto:Ehi! Ma sai cosa sto vedendo? Pat ha messo la 3.11.1 nella current =D> è roba dell'altro ieri perchè non l'avevo visto quando ho installato la stampante...

...ooops disinstallo l'installazione da sorgente e monto il pacchetto fresco ma non va :cry:
hp-check mi dice che non trova deii moduli python (hpmudext). Probabilmente devo aggiornare anceh il python, o addirittura fare un upgrade alla currrent. Domani ci provo.

Calma
Non installare pacchetti della current, che sono compilati con compilatore e librerie di sistema differenti da quelle presenti nella 13.1. Se vuoi aggiornare hplip, puoi benissimo scaricarti i sorgenti dal ramo source/ della current ed utilizzare lo SlackBuild per compilarti il pacchetto, in modo che sia perfettamente compatibile col tuo sistema.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2884
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE

Re: HPlip e hp-setup

Messaggioda roberto67 » mar mar 15, 2011 14:49

414N ha scritto:Non installare pacchetti della current, che sono compilati con compilatore e librerie di sistema differenti da quelle presenti nella 13.1. Se vuoi aggiornare hplip, puoi benissimo scaricarti i sorgenti dal ramo source/ della current ed utilizzare lo SlackBuild per compilarti il pacchetto, in modo che sia perfettamente compatibile col tuo sistema.


:thumbright: consiglio determinante per la risoluzione del mio problema, 414N!

grazie a tutti.

PS: Per la cronaca, ora che sono riuscito a aprire hplip, vedo che questa scanjet 4500 510-n beve un po' troppo... il nero è già sotto il 25% dopo nemmeno una settimana e circa 50 pagine...
roberto67
Packager
Packager
 
Messaggi: 291
Iscritto il: lun set 14, 2009 17:55
Slackware: 14.1 multilib
Desktop: kde

Re: HPlip e hp-setup

Messaggioda 414N » mar mar 15, 2011 16:11

roberto67 ha scritto:PS: Per la cronaca, ora che sono riuscito a aprire hplip, vedo che questa scanjet 4500 510-n beve un po' troppo... il nero è già sotto il 25% dopo nemmeno una settimana e circa 50 pagine...

È normale con le cartucce che "regalano" insieme alla stampante.
Il mio consiglio è di stampare i fogli di solo testo in modalità bozza in scala di grigi ("draft grayscale", se in inglese). Oltre ad effettuare una stampa velocissima, la qualità è ottima.
Avatar utente
414N
Iper Master
Iper Master
 
Messaggi: 2884
Iscritto il: mer feb 13, 2008 16:19
Località: Bulagna
Slackware: 14.0 (x64)
Kernel: 3.2.29
Desktop: LXDE


Torna a Hardware

Chi c’è in linea

Visitano il forum: Nessuno e 3 ospiti

cron